Delete a saved payment card
DELETE
/cms/customer/payment/card
const url = 'https://api.example.com/cms/customer/payment/card';const options = { method: 'DELETE', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"payment_method":"example","guid":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.example.com/cms/customer/payment/card \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "payment_method": "example", "guid": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
payment_method
required
Payment method
string
guid
required
Card GUID to delete (if not provided, the default card will be deleted)
string
Example generated
{ "payment_method": "example", "guid": "example"}Responses
Section titled “Responses”Card deleted successfully
Media typeapplication/json
object
success
boolean
Example generated
{ "success": true}Bad Request
Unauthorized
Forbidden